Webhooks

List Webhooks

GET
/v1/webhooks

Authorization

headerx-api-key<token>

Workspace API key, sent in the x-api-key header. Keys start with op_ and are created in the dashboard.

Response Body

Webhooks

application/json
  1. response
webhooks*array<>
Example Request
import { Configuration, WebhooksApi } from "@onepostly/sdk";const webhooksApi = new WebhooksApi(  new Configuration({ apiKey: process.env.ONEPOSTLY_API_KEY }));const response = await webhooksApi.listWebhooks();console.log(response);
Example Response
{  "webhooks": [    {      "id": "dlv_1",      "name": "Post events",      "url": "https://example.com/hooks/onepostly",      "enabled": true,      "events": [        "post.platform.published"      ]    }  ]}